# FoundationClasses
TKMath
Convert

# Convert_HyperbolaToBSplineCurve Class Reference

This algorithm converts a hyperbola into a rational B-spline curve.
The hyperbola is an Hypr2d from package gp with the
parametrization :
P (U) =
Loc + (MajorRadius * Cosh(U) * Xdir + MinorRadius * Sinh(U) * Ydir)
where Loc is the location point of the hyperbola, Xdir and Ydir are
the normalized directions of the local cartesian coordinate system
of the hyperbola.
KeyWords :
Convert, Hyperbola, BSplineCurve, 2D .
.

`#include <Convert_HyperbolaToBSplineCurve.hxx>`

Inheritance diagram for Convert_HyperbolaToBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_HyperbolaToBSplineCurve (const gp_Hypr2d &H, const Standard_Real U1, const Standard_Real U2)
| The hyperbola H is limited between the parametric values U1, U2 and the equivalent B-spline curve has the same orientation as the hyperbola. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_HyperbolaToBSplineCurve::Convert_HyperbolaToBSplineCurve | ( | const gp_Hypr2d & | H,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2
| ) |

## Member Function Documentation

void Convert_HyperbolaToBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_HyperbolaToBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_HyperbolaToBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

The documentation for this class was generated from the following file:

- Convert_HyperbolaToBSplineCurve.hxx